Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Rectangle Struct Reference

`#include <OgreRectangle.h>`

List of all members.

## Public Member Functions
bool | inside (Real x, Real y) const
## Public Attributes
Real | left
Real | top
Real | right
Real | bottom

## Member Function Documentation

bool Ogre::Rectangle::inside | ( | Real | x,
|  | Real | y
| ) | const

| Definition at line 43 of file OgreRectangle.h.

## Member Data Documentation

Real Ogre::Rectangle::bottom

| Definition at line 41 of file OgreRectangle.h. Referenced by Ogre::intersect().

Real Ogre::Rectangle::left

| Definition at line 38 of file OgreRectangle.h. Referenced by Ogre::intersect().

Real Ogre::Rectangle::right

| Definition at line 40 of file OgreRectangle.h. Referenced by Ogre::intersect().

Real Ogre::Rectangle::top

| Definition at line 39 of file OgreRectangle.h. Referenced by Ogre::intersect().

The documentation for this struct was generated from the following file:

- OgreRectangle.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:26 2007